'Newland.CityTheme:FrontPage':
  superTypes:
    'Neos.NodeTypes:Page': true
    'Newland.CityTheme:MetaTagMixin': true
    'Newland.CityTheme:MetaTagMixin.GoogleSiteVerification': true
    'Newland.CityTheme:SiteTrackingMixin': true

    # Enable one of the following mixins for site tracking
    # Run a node:repair after switching/disabling the mixin!
    'Newland.CityTheme:SiteTrackingMixin.Analytics': true
    'Newland.CityTheme:SiteTrackingMixin.TagManager': true
    'Newland.CityTheme:SiteTrackingMixin.Matomo': true

  ui:
    label: Startseite
    icon: globe
    inspector:
      tabs:
        theme:
          label: theme
          position: 60
          icon: icon-brush
      groups:
        address:
          label: Adresse
          icon: map
          position: 10
          tab: theme
        logo:
          label: Logo und Icons
          icon: image
          position: 20
          tab: theme
        fonts:
          label: Schriften
          icon: font
          position: 30
          tab: theme
        layout:
          label: Seitenlayout
          icon: brush
          position: 40
          tab: theme
        links:
          label: Links
          icon: link
          position: 50
          tab: theme
        live:
          label: Live-Bereich
          icon: camera
          position: 60
          tab: theme
        press-area:
          label: Presse-Bereich
          icon: newspaper
          position: 70
          tab: theme
        analytics:
          label: Analytics
          icon: cog
          position: 70
          tab: tracking
        editorLive:
          label: Live-Bereich
          icon: camera
          hidden: 'ClientEval:node.properties.showLiveMenu ? false : true'
        language:
          label: Sprachen
          icon: language
          position: 80
          tab: theme

  properties:
    pageTitle:
      type: string
      ui:
        label: Seitentitel
        inspector:
          group: address

    companyName:
      type: string
      ui:
        label: Firmen-Name
        inspector:
          group: address

    companyAddress:
      type: string
      ui:
        label: Firmen-Adresse
        inspector:
          group: address

    companyPhone:
      type: string
      ui:
        label: Firmen-Telefon
        inspector:
          group: address

    companyMail:
      type: string
      ui:
        label: Firmen-Mail
        inspector:
          group: address

    footerTitleButtons:
      type: string
      defaultValue: Reise planen
      ui:
        label: Überschrift Footer-Buttons
        reloadIfChanged: true
        inspector:
          group: address

    footerTitleLinks:
      type: string
      defaultValue: Follow us
      ui:
        label: Überschrift Footer-Links
        reloadIfChanged: true
        inspector:
          group: address

    logo:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Logo
        reloadIfChanged: true
        inspector:
          group: logo

    logoWhite:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Logo (weiß)
        reloadIfChanged: true
        inspector:
          group: logo

    logoTop:
      type: boolean
      defaultValue: false
      ui:
        label: Logo hat keinen Abstand nach oben
        reloadIfChanged: true
        inspector:
          group: logo

    useDynamicHeaderHeight:
      type: boolean
      defaultValue: false
      ui:
        label: Dynamische Logo Höhe
        help:
          message: 'Wenn aktiviert, kann das Logo im transparenten Zustand der Navigation (Wenn es über einem Hero steht) auf bis zu 120px Höhe anwachsen. Sollte nur bei einem nahezu perfekt-quadratischen Logo verwendet werden, ansonsten kann es zu einer zu breiten Darstellung des Logos kommen.'
        reloadIfChanged: true
        inspector:
          group: logo

    footerLogo:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Logo im Footer
        reloadIfChanged: true
        inspector:
          group: logo

    appleIcon:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Apple-Icon
        reloadIfChanged: true
        inspector:
          group: logo

    gridTeaserSilhouette:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Signet auf Grid-Teaser
        reloadIfChanged: true
        inspector:
          group: logo

    activateUppercaseForHeadlines:
      type: boolean
      defaultValue: true
      ui:
        label: Überschriften groß schreiben
        reloadIfChanged: true
        inspector:
          group: fonts

    headingType:
      type: string
      defaultValue: ''
      ui:
        label: Überschriften-Typ
        reloadIfChanged: true
        inspector:
          group: fonts
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Überschrift mit Icon
              headingWithIconBorder:
                label: Überschrift mit Icon und Linien
                value: 'headingWithIconBorder'
              headingWithBackground:
                label: Überschrift mit farbigem Hintergrund
                value: 'headingWithBackground'

    baseFontFamily:
      type: Neos\Media\Domain\Model\Asset
      ui:
        label: Basis-Schriftfamilie (woff2)
        reloadIfChanged: true
        inspector:
          group: fonts

    baseBoldFontFamily:
      type: Neos\Media\Domain\Model\Asset
      ui:
        label: Basis-Schriftfamilie (fett) (woff2)
        reloadIfChanged: true
        inspector:
          group: fonts

    headingFontFamily:
      type: Neos\Media\Domain\Model\Asset
      ui:
        label: Überschriften-Schriftfamilie (woff2)
        reloadIfChanged: true
        inspector:
          group: fonts

    headingFontSizeBase:
      type: string
      defaultValue: '1rem'
      ui:
        label: Überschriften-Grundgröße
        reloadIfChanged: true
        inspector:
          group: fonts
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              '0.75rem':
                label: '0.75rem'
                value: '0.75rem'
              '1rem':
                label: '1rem - Standardwert'
                value: '1rem'
              '1.25rem':
                label: '1.25rem'
                value: '1.25rem'
              '1.5rem':
                label: '1.5rem'
                value: '1.5rem'
              '1.75rem':
                label: '1.75rem'
                value: '1.75rem'
              '2rem':
                label: '2rem'
                value: '2rem'
              '2.25rem':
                label: '2.25rem'
                value: '2.25rem'

    showDropdownMenu:
      type: boolean
      defaultValue: false
      ui:
        help:
          message: 'Ohne Dropdown-Menü werden für eine fehlerfreie Darstellung max. 4-5 Menüpunkte empfohlen. Mit einem Dropdown-Menü sind bis zu 6 Menüpunkte möglich.'
        label: Dropdown-Menü aktivieren
        reloadIfChanged: true
        inspector:
          group: layout

    heroDecoration:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Hero-Dekoration
        reloadIfChanged: true
        inspector:
          group: layout

    galleryType:
      type: string
      ui:
        label: Galerie-Typ
        reloadIfChanged: true
        inspector:
          group: layout
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Standard-Galerie
                value: 'galleryDefault'
              galleryList:
                label: Galerie-Liste (mit Thumbnails)
                value: 'galleryList'

    buttonType:
      type: string
      defaultValue: ''
      ui:
        label: Button-Typ
        reloadIfChanged: true
        inspector:
          group: layout
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Keine Rundung
                value: ''
              softRounded:
                label: Leichte Rundung
                value: 'c-button--soft-rounded'
              hardRounded:
                label: Starke Rundung
                value: 'c-button--hard-rounded'

    facebookLink:
      type: string
      ui:
        label: Link zu Facebook
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          group: links

    instagramLink:
      type: string
      ui:
        label: Link zu Instagram
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          group: links

    twitterLink:
      type: string
      ui:
        label: Link zu Twitter
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          group: links

    youtubeLink:
      type: string
      ui:
        label: Link zu YouTube
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          group: links

    pinterestLink:
      type: string
      ui:
        label: Link zu Pinterest
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          group: links

    # Live Properties
    showLiveMenu:
      type: boolean
      defaultValue: true
      ui:
        label: Live-Menü aktivieren
        reloadIfChanged: true
        inspector:
          group: live
    liveWebcams:
      type: 'references'
      ui:
        label: Webcams im Live-Menü
        reloadIfChanged: true
        inspector:
          hidden: 'ClientEval:node.properties.showLiveMenu ? false : true'
          group: pageSettings
          editorOptions:
            nodeTypes: ['Newland.CityTheme:Webcam']
    liveWebcamsLink:
      type: string
      ui:
        label: Link zur Webcams Page
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          hidden: 'ClientEval:node.properties.showLiveMenu ? false : true'
          group: pageSettings
    liveWeatherForecastCity:
      type: string
      ui:
        label: Stadt für Wetter-Widget im Live Menü
        reloadIfChanged: true
        inspector:
          hidden: 'ClientEval:node.properties.showLiveMenu ? false : true'
          group: pageSettings
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            dataSourceIdentifier: newland-toubiz-weather-neos-cities
    liveWeatherLink:
      type: string
      ui:
        label: Link zur Wetter Page
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          hidden: 'ClientEval:node.properties.showLiveMenu ? false : true'
          group: pageSettings
    liveEventsLink:
      type: string
      ui:
        label: Link zum Veranstaltungskalender
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          hidden: 'ClientEval:node.properties.showLiveMenu ? false : true'
          group: pageSettings

    termsOfServiceIntro:
      type: string
      ui:
        label: Nutzungsbedingungen Intro
        inspector:
          editor: Neos.Neos/Inspector/Editors/TextAreaEditor
          editorOptions:
            rows: 2
          group: press-area

    termsOfServiceFull:
      type: string
      ui:
        label: Nutzungsbedingungen Weiterlesen Text
        inspector:
          editor: Neos.Neos/Inspector/Editors/TextAreaEditor
          editorOptions:
            rows: 4
          group: press-area

    hideLanguageMenu:
      type: boolean
      defaultValue: false
      ui:
        label: Sprachenauswahl verstecken
        reloadIfChanged: true
        inspector:
          group: language
        help:
          message: 'Sprachauswahl wird standardmäßig nur angezeigt, wenn es eine übersetzte Startseite gibt. Sollte die Pflege der Sprache aber noch nicht abgeschlossen sein, kann man hiermit die Sprachauswahl so lange verstecken, bis die komplette Seite übersetzt wurde.'

  childNodes:
    partnerLogos:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:PartnerLogos': true
    heroContent:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:Quicksearch': true
          'Newland.CityTheme:HeroSlider': true
          'Newland.CityTheme:IconGrid': true
    searchButtons:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:SearchButton': true
    metaNavItems:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:MetaNavigationItem': true
    footerButtons:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:Button': true

